<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Weather</title>
  <link
    rel="stylesheet"
    href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
    integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
    crossorigin="anonymous"
  >
</head>

<body>
  <main class="container">
    <div class="row">
      <div class="col-md-6 mx-auto text-center mt-5 p-5">
        <h1 id="location"></h1>
        <div class="h3 text-dark" id="description"></div>
        <div class="h3 text-dark" id="temperature"></div>
        <img id="icon">

        <ul class="list-group mt-3 text-left">
          <li class="list-group-item" id="wind"></li>
          <li class="list-group-item" id="pressure"></li>
          <li class="list-group-item" id="humidity"></li>
        </ul>

        <hr>

        <button
          type="button"
          class="btn btn-primary"
          data-toggle="modal"
          data-target="#location-modal"
        >Change Location</button>
      </div>
    </div>
  </main>

  <div class="modal fade" id="location-modal" tabindex="-1" role="dialog" aria-labelledby="modal-title" aria-hidden="true">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <header class="modal-header">
          <h2 class="h5 modal-title" id="location-modal-title">Choose Location</h2>

          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </header>

        <div class="modal-body">
          <form id="location-form">
            <div class="form-group">
              <label for="location-city">City</label>
              <input type="text" class="form-control" id="location-city">
            </div>

            <div class="form-group">
              <label for="location-state">State</label>
              <input type="text" class="form-control" id="location-state">
            </div>
          </form>
        </div>

        <footer class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
          <button type="button" class="btn btn-primary" id="location-change">Save changes</button>
        </foot>
      </div>
    </div>
  </div>

  <script
    src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
    integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
    crossorigin="anonymous"
  ></script>
  <script
    src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
    integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
    crossorigin="anonymous"
  ></script>
  <script
    src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
    integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
    crossorigin="anonymous"
  ></script>
  <script type="module" src="js/main.js"></script>
</body>

</html>
